datan

## Class LsqAsm

- java.lang.Object
- - datan.LsqAsm

-     public final class LsqAsm
      extends java.lang.Object

  A class determining the asymmetric errors for a set of parameters determined by the least square method using class LsqMar.
  Author:
    Siegmund Brandt.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LsqAsm(DatanVector t, DatanVector y, DatanVector deltay, DatanVector x0, DatanMatrix cx, double m, double w, DatanUserFunction luf)`
    `LsqAsm(DatanVector t, DatanVector y, DatanVector deltay, DatanVector x0, int[] list, DatanMatrix cx, double m, DatanUserFunction luf)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[][]` | `getAsymmetricErrors(double w)`
    `boolean` | `hasConverged()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LsqAsm

          public LsqAsm(DatanVector t,
                DatanVector y,
                DatanVector deltay,
                DatanVector x0,
                int[] list,
                DatanMatrix cx,
                double m,
                DatanUserFunction luf)

      Parameters:
        `t` - vector, the elements of which are the controlled variables t_i
        `y` - vector of the corresponding measured values.
        `deltay` - vector of measurement errors.
        `x0` - position of minimum.
        `cx` - covariance matrix at x0.
        `m` - value of minimum function.
        `list` - array containing the elements of a list specifying which of the n variables are fixed (list element = 0) and which are adjustable (list element = 1).
        `luf` - user function which must be an extension of the abstract class DatanUserFunction.

    - #### LsqAsm

          public LsqAsm(DatanVector t,
                DatanVector y,
                DatanVector deltay,
                DatanVector x0,
                DatanMatrix cx,
                double m,
                double w,
                DatanUserFunction luf)

      Parameters:
        `t` - vector, the elements of which are the controlled variables t_i
        `y` - vector of the corresponding measured values.
        `deltay` - vector of measurement errors.
        `x0` - position of minimum (all elements of list are set to 1).
        `cx` - covariance matrix at x0.
        `m` - value of minimum function.
        `w` - probalility w for which cinfidence limits are computed. If w <= 0, then assymetry arrors are computed.
        `luf` - user function which must be an extension of the abstract class DatanUserFunction.

  - ### Method Detail

    - #### getAsymmetricErrors

          public double[][] getAsymmetricErrors(double w)

      Parameters:
        `w` - probalility w for which confidence limits are computed. If w <= 0, then assymetry arrors are computed.
      Returns:
        the asymmetric errors. Element [i][0] is negativer deviation, element [i][1] is positive deviation of the (non-fixed) parameter x[i].

    - #### hasConverged

          public boolean hasConverged()

      Returns:
        true if iteration successful, false otherwise.